### INSTALL protoc
go get -u github.com/golang/protobuf/protoc-gen-go@v1.3.2

### INSTALL goctl
GO111MODULE=on go get -u git.i2edu.net/i2/go-zero/tools/goctl

### GEN RPC CODE
goctl rpc proto -src transform.proto -dir . --style go_zero

### GEN MODEL
goctl model mysql ddl -c -src model/student.sql -dir model
goctl model mysql ddl -c -src model/sys_user.sql -dir model

### RUN RPC SRV 
go run transform.go -f etc/i2bill-erp.yaml 
