### INSTALL goctl
GO111MODULE=on go get -u git.i2edu.net/i2/go-zero/tools/goctl

### GEN RPC CODE
goctl rpc proto -src transform.proto -dir . --style go_zero

### GEN MODEL
goctl model mysql ddl -c -src model/student.sql -dir model
goctl model mysql ddl -c -src model/sys_user.sql -dir model
goctl model mysql ddl -c -src model/mkt_part_time_user.sql -dir model
goctl model mysql ddl -c -src model/excel_export_log.sql -dir model --style go_zero
goctl model mysql ddl -c -src model/sys_role_data_permission.sql -dir model --style go_zero
goctl model mysql ddl -c -src model/sys_data_permission_detail.sql -dir model --style go_zero
goctl model mysql ddl -c -src model/mkt_resource.sql -dir model --style go_zero
goctl model mysql ddl -c -src model/mkt_student_market_activity.sql -dir model --style go_zero


### RUN RPC SRV 
go run transform.go -f etc/transform.yaml 
