package utils

import (
	"fmt"
	"github.com/xormplus/xorm"
)

func AllSearch(db *xorm.Engine, controllername string, apiname string, tableName string, params map[string]interface{}) ([]map[string]interface{}, error) {
	stplkey := fmt.Sprintf("%s_%s_select.tpl", controllername, apiname)
	result, err := db.SqlTemplateClient(stplkey, &params).Query().List()
	if err != nil {
		fmt.Println(err)
		return nil, err
	}
	return result, nil
}
